framework:
    messenger:
        failure_transport: failed

        transports:
            # Transport principal via Redis pour les tâches asynchrones
            async:
                dsn: '%env(MESSENGER_TRANSPORT_DSN)%'
                options:
                    stream: 'alby_jobs'
                    group: 'alby_workers'

            failed: 'doctrine://default?queue_name=failed'

        routing:
            # Envoi des messages de génération de masse vers la queue Redis
            'App\Message\GenerateBatchMessage': async
            'App\Message\SyncTicketCheckInMessage': async
